<template>
  <a-modal :title="title" :width="1500" :height="1500" :visible="visible" :maskClosable="false"
           cancelText="关闭"
           @cancel="handleCancel" :confirmLoading="confirmLoading">

    <a-spin :spinning="confirmLoading">
      <a-form :form="form">
        <a-row>
          <a-col :span="12">
            <a-form-model-item label="记录日期" :labelCol="labelCol" :wrapperCol="wrapperCol" prop="theDate">
              <a-input :disabled="true" v-model="model.theDate" placeholder="请输入记录日期"></a-input>
            </a-form-model-item>
          </a-col>

          <a-col :span="12">
            <a-form-model-item label="班次" :labelCol="labelCol" :wrapperCol="wrapperCol" prop="shiftSchedule">
              <j-dict-select-tag dictCode="shift_schedule" placeholder="请选择班次" v-model="model.shiftSchedule"
                                 :disabled="disableSubmit" />
            </a-form-model-item>
          </a-col>

          <a-col :span="12">
            <a-form-model-item  label="早班上班打卡率" :labelCol="labelCol" :wrapperCol="wrapperCol"
                               prop="mornShiftInRate">
              <a-input v-model="model.mornShiftInRate" placeholder="请输入"></a-input>
            </a-form-model-item>
          </a-col>
          <a-col :span="12">
            <a-form-model-item  label="早班下班打卡率" :labelCol="labelCol" :wrapperCol="wrapperCol"
                                prop="mornShiftOutRate">
              <a-input v-model="model.mornShiftOutRate" placeholder="请输入"></a-input>
            </a-form-model-item>
          </a-col>
          <a-col :span="12">
            <a-form-model-item  label="晚班上班打卡率" :labelCol="labelCol" :wrapperCol="wrapperCol"
                               prop="evenShiftInRate">
              <a-input v-model="model.evenShiftInRate" placeholder="请输入"></a-input>
            </a-form-model-item>
          </a-col>
          <a-col :span="12">
            <a-form-model-item v-show="addShow" label="晚班下班打卡率" :labelCol="labelCol" :wrapperCol="wrapperCol"
                               prop="evenShiftOutRate">
              <a-input v-model="model.evenShiftOutRate" placeholder="请输入"></a-input>
            </a-form-model-item>
          </a-col>
          <a-col :span="12">
            <a-form-model-item v-show="addShow" label="早班上班打卡设备数量" :labelCol="labelCol" :wrapperCol="wrapperCol"
                               prop="mornShiftInDeviceNum">
              <a-input v-model="model.mornShiftInNum" placeholder="请输入"></a-input>
            </a-form-model-item>
          </a-col>
          <a-col :span="12">
            <a-form-model-item v-show="addShow" label="早下班打卡设备数量" :labelCol="labelCol" :wrapperCol="wrapperCol"
                               prop="mornShiftOutNum">
              <a-input v-model="model.mornShiftOutNum" placeholder="请输入"></a-input>
            </a-form-model-item>
          </a-col>
          <a-col :span="12">
            <a-form-model-item v-show="addShow" label="晚班上班打卡设备数量" :labelCol="labelCol" :wrapperCol="wrapperCol"
                               prop="evenShiftInNum">
              <a-input v-model="model.evenShiftInNum" placeholder="请输入"></a-input>
            </a-form-model-item>
          </a-col>
          <a-col :span="12">
            <a-form-model-item v-show="addShow" label="晚下班打卡设备数量" :labelCol="labelCol" :wrapperCol="wrapperCol"
                               prop="evenShiftOutNum">
              <a-input v-model="model.evenShiftOutNum" placeholder="请输入"></a-input>
            </a-form-model-item>
          </a-col>
          <a-col :span="12">
            <a-form-model-item v-show="addShow" label="设备总数" :labelCol="labelCol" :wrapperCol="wrapperCol"
                               prop="deviceCountNum">
              <a-input v-model="model.deviceCountNum" placeholder="请输入"></a-input>
            </a-form-model-item>
          </a-col>
        </a-row>
      </a-form>
    </a-spin>

    <template slot="footer">
      <a-button :style="{ marginRight: '8px' }" @click="handleCancel()">
        关闭
      </a-button>

<!--      <a-button @click="handleOk()" :disabled="disableSubmit" type="primary" :loading="confirmLoading">确定</a-button>-->
    </template>
  </a-modal>

</template>

<script>
import JMultiSelectTag from '@/components/dict/JMultiSelectTag'
import Tooltip from 'ant-design-vue/es/tooltip'

export default {
  name: 'EfficiencyPunchReportModal',
  components: {
    JMultiSelectTag,
    Tooltip
  },
  data() {

    return {
      addShow: true,
      model: {},
      formDisabled: false,
      pagination: {
        current: 1,
        pageSize: 10,
        total: 0
      },

      title: '操作',
      visible: false,
      disableSubmit: false,
      codeDisable: true,

      labelCol: {
        xs: { span: 24 },
        sm: { span: 6 }
      },
      wrapperCol: {
        xs: { span: 24 },
        sm: { span: 18 }
      },
      confirmLoading: false,
      form: this.$form.createForm(this),
      validatorRules: {
        // orderCode: [
        //   { required: true, message: '请输入盘点单号!' }
        // ],
        // handler: [
        //   { required: true, message: '请输入经手人!' }
        // ],
        // stocktakingName: [
        //   { required: true, message: '请输入盘点名称!' }
        // ],
        // approvalStatus: [
        //   { required: true, message: '请输入审核状态!' }
        // ],
        // inventoryTime: [
        //   { required: true, message: '请输入盘点时间!' }
        // ]
      },
      url: {



      },
      dataSource: []
    }
  },

  mounted() {

  },

  methods: {

    add() {
      this.addShow = false
      this.edit()
    },

    edit(record) {
      this.model = Object.assign({}, record)
      this.visible = true
    },



    close() {
      this.$emit('close')
      this.visible = false
    },

    handleCancel() {
      this.model = {}
      this.dataSource = []
      this.close()
    },
  }

}
</script>

<style lang="less" scoped>
.frozenRowClass {
  color: #c9c9c9;
}

.fontweight {
  font-weight: bold;
}

.ant-btn {
  padding: 0 10px;
  margin-left: 3px;
}

.ant-form-item-control {
  line-height: 0px;
}

/** 主表单行间距 */
.ant-form .ant-form-item {
  margin-bottom: 10px;
}

/** Tab页面行间距 */
.ant-tabs-content .ant-form-item {
  margin-bottom: 0px;
}
</style>